Package org.apache.sling.clam.jcr

## Interface NodeDescendingJcrPropertyDigger

All Known Implementing Classes:
  `DefaultNodeDescendingJcrPropertyDigger`

    public interface NodeDescendingJcrPropertyDigger

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dig​(@NotNull javax.jcr.Node node, @NotNull java.util.regex.Pattern pattern, @NotNull java.util.Set<java.lang.Integer> propertyTypes, long maxLength, int maxDepth)`

### Method Detail

#### dig

    void dig​(@NotNull
             @NotNull javax.jcr.Node node,
             @NotNull
             @NotNull java.util.regex.Pattern pattern,
             @NotNull
             @NotNull java.util.Set<java.lang.Integer> propertyTypes,
             long maxLength,
             int maxDepth)
      throws java.lang.Exception

Throws:
  `java.lang.Exception`